#include "tmEventSetup/esConditionHandle.hh"

#include "tmEventSetup/esCutHandle.hh"
#include "tmEventSetup/esObjectHandle.hh"

#include "tmUtil/tmUtil.hh"

namespace tmeventsetup
{


void
esConditionHandle::addObject(const esObject& object)
{
  objects_.emplace_back(object);
}


void
esConditionHandle::addCut(const esCut& cut)
{
  cuts_.emplace_back(cut);
}


void
esConditionHandle::print() const
{
  print(*this);
}


void
esConditionHandle::print(const esCondition& cond)
{
  TM_LOG_INF("");
  std::cout << "  name: " << cond.getName() << "\n";
  std::cout << "  type: " << cond.getType() << "\n";
  const std::vector<esObject>& objects = cond.getObjects();
  std::cout << "  objects_size: " << objects.size() << "\n";
  const std::vector<esCut>& cuts = cond.getCuts();
  std::cout << "  cuts_size: " << cuts.size() << "\n";
  for (const auto& object: objects) esObjectHandle::print(object);
  for (const auto& cut: cuts) esCutHandle::print(cut);
}

} // namespace tmeventsetup
